JaxbPersistenceUnitMetadata (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.jaxb.mapping.orm
Class JaxbPersistenceUnitMetadata

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.orm.JaxbPersistenceUnitMetadata

    public class JaxbPersistenceUnitMetadata

extends Object

Metadata that applies to the persistence unit and not just to the mapping file in which it is contained. If the xml-mapping-metadata-complete element is specified, the complete set of mapping metadata for the persistence unit is contained in the XML mapping files for the persistence unit.

Java class for persistence-unit-metadata complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="persistence-unit-metadata">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="description" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="xml-mapping-metadata-complete" type="{http://java.sun.com/xml/ns/persistence/orm}emptyType" minOccurs="0"/>
             <element name="persistence-unit-defaults" type="{http://java.sun.com/xml/ns/persistence/orm}persistence-unit-defaults" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected String` | `description`
`protected JaxbPersistenceUnitDefaults` | `persistenceUnitDefaults`
`protected JaxbEmptyType` | `xmlMappingMetadataComplete`

Constructor Summary
`JaxbPersistenceUnitMetadata()`

Method Summary
`String` | `getDescription()` Gets the value of the description property.
`JaxbPersistenceUnitDefaults` | `getPersistenceUnitDefaults()` Gets the value of the persistenceUnitDefaults property.
`JaxbEmptyType` | `getXmlMappingMetadataComplete()` Gets the value of the xmlMappingMetadataComplete property.
`void` | `setDescription(String value)` Sets the value of the description property.
`void` | `setPersistenceUnitDefaults(JaxbPersistenceUnitDefaults value)` Sets the value of the persistenceUnitDefaults property.
`void` | `setXmlMappingMetadataComplete(JaxbEmptyType value)` Sets the value of the xmlMappingMetadataComplete property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### description

    protected String description

### xmlMappingMetadataComplete

    protected JaxbEmptyType xmlMappingMetadataComplete

### persistenceUnitDefaults

    protected JaxbPersistenceUnitDefaults persistenceUnitDefaults

Constructor Detail

### JaxbPersistenceUnitMetadata

    public JaxbPersistenceUnitMetadata()

Method Detail

### getDescription

    public String getDescription()

  Gets the value of the description property.

  Returns:
    possible object is `String`

### setDescription

    public void setDescription(String value)

  Sets the value of the description property.

  Parameters:
    `value` - allowed object is `String`

### getXmlMappingMetadataComplete

    public JaxbEmptyType getXmlMappingMetadataComplete()

  Gets the value of the xmlMappingMetadataComplete property.

  Returns:
    possible object is `JaxbEmptyType`

### setXmlMappingMetadataComplete

    public void setXmlMappingMetadataComplete(JaxbEmptyType value)

  Sets the value of the xmlMappingMetadataComplete property.

  Parameters:
    `value` - allowed object is `JaxbEmptyType`

### getPersistenceUnitDefaults

    public JaxbPersistenceUnitDefaults getPersistenceUnitDefaults()

  Gets the value of the persistenceUnitDefaults property.

  Returns:
    possible object is `JaxbPersistenceUnitDefaults`

### setPersistenceUnitDefaults

    public void setPersistenceUnitDefaults(JaxbPersistenceUnitDefaults value)

  Sets the value of the persistenceUnitDefaults property.

  Parameters:
    `value` - allowed object is `JaxbPersistenceUnitDefaults`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.